uuid: cad88d3e-baf8-4341-a4a7-aed2392a10c6
langcode: en
status: true
dependencies: {  }
id: gronze_taxonomy_authors_fields
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - taxonomy
  - gronze
  - level1
migration_group: gronze_taxonomy_fields
label: 'Authors taxonomy fields from Gronze D7'
source:
  high_water_property:
    name: tid
    alias: td
  plugin: d7_taxonomy_term
  bundle: authors
process:
  tid:
    plugin: migration_lookup
    migration: gronze_taxonomy_authors
    source: tid
    no_stub: true
  field_link_twitter:
    plugin: sub_process
    source: field_link_twitter
    process:
      uri: url
      title: title
  field_web:
    plugin: sub_process
    source: field_web
    process:
      uri: url
      title: title
  field_gronze_user:
    plugin: migration_lookup
    migration: gronze_user_accounts
    source: field_gronze_user/0/target_id
    no_stub: true
destination:
  plugin: 'entity:taxonomy_term'
  default_bundle: authors
migration_dependencies:
  required:
    - gronze_taxonomy_authors
    - gronze_file
    - gronze_user
